#include <stdio.h>
#include <stdlib.h>
#include "libconf.h"
#include <EXTERN.h>               /* from the Perl distribution     */
#include <perl.h>                 /* from the Perl distribution     */

static PerlInterpreter *my_perl;  /***    The Perl interpreter    ***/

EXTERN_C void xs_init (pTHX);

int main (int argc, char **argv, char **env)
{
        printf("Testing C bindings\n");

        /* This is the new syntax */
        printf("Calling %s \n", LIBCONF_CLI);
        char *opts2[] = { "",
                          LIBCONF_CLI
        };
        call_perl(ARGC(opts2), opts2);
        return (EXIT_SUCCESS);
}

void call_perl (int argc, char **argv)
{
        if((my_perl = perl_alloc()) == NULL) {
                fprintf(stderr, "no memory for perl_alloc!");
                exit(EXIT_FAILURE);
        }
        perl_construct(my_perl);
        perl_parse(my_perl, xs_init, argc, argv, (char **)NULL);
        char *args[] = { NULL };
        call_argv("test", G_DISCARD | G_NOARGS, args);
        /*perl_run(my_perl);*/
        perl_destruct(my_perl);
        perl_free(my_perl);
}
