#!/usr/bin/perl

# Author : Damien KROTKINE (damien@libconf.net)
#
# Contributors : 
#
# Copyright (C) 2005 Damien KROTKINE (dams@libconf.net)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

package Libconf::Glueconf::Nagios::Nagios_cfg;
use strict;
use vars qw(@ISA);
use Libconf;
use Libconf::Glueconf::Generic::KeyValue;
use Libconf qw(:helpers);

our @ISA = qw(Libconf::Glueconf::Generic::KeyValue);
our $data_synopsis;


sub new {
    my ($class, $args, $data_description, $data_mapping) = @_;
    $args = add2hash_({ 
                       handle_quote => 0,
                       allow_space => 0,
                      }, $args);
    $class->SUPER::new($args, $data_description, $data_mapping);
}

1;

