#!/usr/bin/perl

use Libconf::Glueconf::Generic::Shell;
use Data::Dumper;
use Libconf::Test;
$Libconf::Test::test_module_name = 'autologin';

# test 1, minimal requirement : regenerate correctly
Libconf::Test::display(1);
my $autologin = new Libconf::Glueconf::Generic::Shell({ filename => 'autologin' });
$autologin->write_conf("autologin_output_1");
Libconf::Test::test(1);

# test 2, values are correct
Libconf::Test::display(2);
$autologin = new Libconf::Glueconf::Generic::Shell({ filename => 'autologin' });
$autologin->{USER} eq 'dams' or Libconf::Test::failed(2);
$autologin->{AUTOLOGIN} eq 'yes' or Libconf::Test::failed(2);

# test 3, changing values

Libconf::Test::display(3);
$autologin->{USER} = 'chl';
$autologin->{AUTOLOGIN} = 'no';
$autologin->write_conf("autologin_output_3");
Libconf::Test::test(3);

Libconf::Test::display(-1);

#print "user : " . $autologin->getUser() . "\n";
#print "is autologin ? : ". $autologin->isAutologin() . "\n";

