#!/usr/bin/perl

use Libconf::Glueconf::Generic::ExportedShell;
use Data::Dumper;
use Libconf::Test;
$Libconf::Test::test_module_name = 'exportedshell';

### same with proxy
# test 1, minimal requirement : regenerate correctly
Libconf::Test::display(1);
my $proxy = new Libconf::Glueconf::Generic::ExportedShell('proxy.sh');
$proxy->writeConf('exportedshell_output_1');
Libconf::Test::test(1);

# test 2, modifying some infos
Libconf::Test::display(2);
$proxy->{http_proxy} = 'test.com';
$proxy->writeConf('exportedshell_output_2');
Libconf::Test::test(2);

Libconf::Test::display(-1);
