#!/usr/bin/perl

use Libconf::Glueconf::Ssh::Sshd_config;
use Data::Dumper;
use Libconf::Test;
$Libconf::Test::test_module_name = 'sshd_config';

# test 1, minimal requirement : regenerate correctly
Libconf::Test::display(1);
my $sshd_config = new Libconf::Glueconf::Ssh::Sshd_config({ filename => 'sshd_config' });
$sshd_config->write_conf('sshd_config_output_1');
Libconf::Test::test(1);


# test 2, modifying some infos
Libconf::Test::display(2);
$sshd_config->{Protocol} = '1';
$sshd_config->write_conf('sshd_config_output_2');
Libconf::Test::test(2);

 Libconf::Test::display(-1);
