#!/usr/bin/perl

use Libconf qw(:functions);
use Libconf::Test;
$Libconf::Test::test_module_name = 'postfix';

use Libconf::Templates::Generic::KeyValue;

# test 1, minimal requirement : regenerate correctly
Libconf::Test::display(1);
my $template = new Libconf::Templates::Generic::KeyValue({
                                                          filename => 'main.cf',
                                                          separator_char => '=',
                                                          allow_space => 1,
                                                          handle_quote => 0,
                                                          handle_multiples_lines => 1,
                                                         });
$template->read_conf();
$template->write_conf("postfix_output_1");
Libconf::Test::test(1);

# test 2, test for stable loop
Libconf::Test::display(2);
$template->read_conf();
$template->write_conf("postfix_output_2");
$template->read_conf();
$template->write_conf("postfix_output_2");
Libconf::Test::test(2);

Libconf::Test::display(-1);
