#!/usr/bin/perl

use Libconf qw(:functions);
use Libconf::Test;
$Libconf::Test::test_module_name = 'resolv';

use Libconf::Templates::Resolv;

# test 1, minimal requirement : regenerate correctly
Libconf::Test::display(1);
my $template = new Libconf::Templates::Resolv({filename => 'resolv.conf'});
$template->read_conf();
#use Data::Dumper;
#print Dumper($template) . "\n";
#exit -1;
$template->write_conf("resolv_output_1");
Libconf::Test::test(1);

# test 2, test for stable loop
Libconf::Test::display(2);
$template = new Libconf::Templates::Resolv({filename => 'resolv.conf'});
$template->read_conf();
$template->write_conf("resolv_output_2");
$template = new Libconf::Templates::Resolv({filename => 'resolv_output_2'});
$template->read_conf();
$template->write_conf("resolv_output_2");
Libconf::Test::test(2);

Libconf::Test::display(-1);
