#include <EXTERN.h>               /* from the Perl distribution     */
#include <perl.h>                 /* from the Perl distribution     */
#include "libconf.h"

static PerlInterpreter *my_perl;  /***    The Perl interpreter    ***/

EXTERN_C void xs_init (pTHX);

/* void libconf (char * action, char * input_filename, char * output_filename, char * template) */
/* { */
/*         char action_arg  [STR_MAX_SIZE]; */
/*         char if_arg      [STR_MAX_SIZE]; */
/*         char of_arg      [STR_MAX_SIZE]; */
/*         char template_arg[STR_MAX_SIZE]; */

/*         /\* Check args *\/ */
/*         if (input_filename  == NULL) */
/*                 input_filename  = "-"; */
/*         if (output_filename == NULL) */
/*                 output_filename = "-"; */

/*         /\*        printf("Calling %s --action=%s --if=%s --of=%s --template=%s\n", LIBCONF_CLI, action, input_filename, output_filename, template);*\/ */
/*         printf("Calling %s --help\n", LIBCONF_CLI); */

/*         snprintf(action_arg,   STR_MAX_SIZE, "--help"); */
/* /\*         snprintf(action_arg,   STR_MAX_SIZE, "--action=%s",   action); *\/ */
/* /\*         snprintf(if_arg,       STR_MAX_SIZE, "--if=%s",       input_filename); *\/ */
/* /\*         snprintf(of_arg,       STR_MAX_SIZE, "--of=%s",       output_filename); *\/ */
/* /\*         snprintf(template_arg, STR_MAX_SIZE, "--template=%s", template); *\/ */

/*         char *opts[] = { "", */
/*                          LIBCONF_CLI, */
/*                          action_arg, */
/*                          if_arg, */
/*                          of_arg, */
/*                          template_arg, */
/*                          NULL */
/*         }; */
/*         call_perl(ARGC(opts), opts); */
/* } */

void call_perl (int argc, char **argv)
{
        if((my_perl = perl_alloc()) == NULL) {
                fprintf(stderr, "no memory for perl_alloc!");
                exit(EXIT_FAILURE);
        }
        perl_construct(my_perl);
        perl_parse(my_perl, xs_init, argc, argv, (char **)NULL);
        char *args[] = { NULL };
        call_argv("test", G_DISCARD | G_NOARGS, args);
        /*perl_run(my_perl);*/
        perl_destruct(my_perl);
        perl_free(my_perl);
}
