#!/usr/bin/perl

use Libconf::Glueconf::X::Gdm;
use Data::Dumper;
use Libconf::Test;
$Libconf::Test::test_module_name = 'gdm';

# test 1, minimal requirement : regenerate correctly
Libconf::Test::display(1);
my $gdm = new Libconf::Glueconf::X::Gdm({filename => 'gdm.conf'});
$gdm->write_conf('gdm_output_1');
Libconf::Test::test(1);

# test 2, modifying some infos
Libconf::Test::display(2);
$gdm->{'server-Standard'}{command} = 'foo -bar 16 -nolisten udp';
$gdm->write_conf('gdm_output_2');
Libconf::Test::test(2);

Libconf::Test::display(-1);
