#!/usr/bin/perl

use Libconf::Glueconf::Networking::Hosts;
use Data::Dumper;
use Libconf::Test;
$Libconf::Test::test_module_name = 'hosts';

# test 1, minimal requirement : regenerate correctly
Libconf::Test::display(1);
my $hosts = new Libconf::Glueconf::Networking::Hosts('hosts');
$hosts->writeConf('hosts_output_1');
Libconf::Test::test(1);

# test 2, modifying some infos
Libconf::Test::display(2);
$hosts->readConf();
$hosts->{'127.0.0.1'}{aliases} = [qw(me myself I)];
$hosts->writeConf('hosts_output_2');
Libconf::Test::test(2);

Libconf::Test::display(-1);
