#!/usr/bin/perl

use Libconf::Glueconf::System::Inittab;
use Data::Dumper;
use Libconf::Test;
$Libconf::Test::test_module_name = 'inittab';

my $inittab = new Libconf::Glueconf::System::Inittab({ filename => 'inittab' });

# test 1, minimal requirement : regenerate correctly
Libconf::Test::display(1);
$inittab->read_conf();
$inittab->write_conf('inittab_output_1');
Libconf::Test::test(1);

# test 2, editing an atom
Libconf::Test::display(2);
$inittab->read_conf();
$inittab->{id}->{runlevels} = '3';
$inittab->write_conf('inittab_output_2');
Libconf::Test::test(2);

Libconf::Test::display(-1);
