#!/usr/bin/perl

use Libconf::Glueconf::System::Passwd;
use Data::Dumper;
use Libconf::Test;
$Libconf::Test::test_module_name = 'passwd';

my $passwd = new Libconf::Glueconf::System::Passwd({ filename => 'passwd' });

# test 1, minimal requirement : regenerate correctly
Libconf::Test::display(1);
$passwd->write_conf("passwd_output_1");
Libconf::Test::test(1);

# test 2, modifying some infos

Libconf::Test::display(2);
$passwd->{adm}{GID} = 4;
$passwd->write_conf("passwd_output_2");
Libconf::Test::test(2);

Libconf::Test::display(-1);
