#!/usr/bin/perl

use Libconf::Glueconf::Postfix::Main_cf;
use Data::Dumper;
use Libconf::Test;
$Libconf::Test::test_module_name = 'postfix';

# test 1, minimal requirement : regenerate correctly
Libconf::Test::display(1);
my $postfix = new Libconf::Glueconf::Postfix::Main_cf({filename => 'main.cf' });
$postfix->write_conf('postfix_output_1');
Libconf::Test::test(1);

# test 2, modifying some infos
Libconf::Test::display(2);
$postfix->read_conf();
$postfix->{inet_interfaces} = 'test_host';
$postfix->write_conf('postfix_output_2');
Libconf::Test::test(2);

Libconf::Test::display(-1);
