#!/usr/bin/perl

use Libconf::Glueconf::NUT::Ups_conf;
use Data::Dumper;
use Libconf::Test;
$Libconf::Test::test_module_name = 'ups';

# test 1, minimal requirement : regenerate correctly
Libconf::Test::display(1);
my $ups = new Libconf::Glueconf::NUT::Ups_conf({ filename => 'ups.conf' });
$ups->write_conf('ups_output_1');
Libconf::Test::test(1);

# test 2, modifying some infos
Libconf::Test::display(2);
$ups->{toto}{driver} = 'foo';
$ups->write_conf('ups_output_2');
Libconf::Test::test(2);

Libconf::Test::display(-1);
