#!/usr/bin/perl

use Libconf qw(:functions);

use Libconf::Test;
$Libconf::Test::test_module_name = 'gdm.conf';

use Libconf::Templates::Gdm;
$Libconf::Templates::Indentspaces = '';

# test 1, minimal requirement : regenerate correctly
Libconf::Test::display(1);
my $template = new Libconf::Templates::Gdm({filename => 'gdm.conf'});
$template->read_conf();
$template->write_conf('gdm.conf_output_1');
Libconf::Test::test(1);

# test 2, editing an atom
Libconf::Test::display(2);
$template = new Libconf::Templates::Gdm({filename => 'gdm.conf'});
$template->read_conf();
$template->edit_atom(-1, {key => 'flexible', sections => [{name => 'server-Standard'}] }, { value => 'TEST' });
$template->write_conf("gdm.conf_output_2");
Libconf::Test::test(2);

Libconf::Test::display(-1);
