#!/usr/bin/perl

use Libconf qw(:functions);
use Libconf::Test;
$Libconf::Test::test_module_name = 'upsusers.conf';

my $struct;

# test 1, minimal requirement : regenerate correctly
Libconf::Test::display(1);
my $struct = new Libconf("upsusers.conf", 'upsusers', '');
$struct->writeConf("upsusers.conf_output_1");
Libconf::Test::test(1);

# test 2, editing an atom
Libconf::Test::display(2);
$struct = new Libconf("upsusers.conf", 'upsusers', '');
$struct->editAtom(-1, {key => 'driver', value => 'TEST', sections => [{name => 'myups'}] });
$struct->writeConf("upsusers.conf_output_2");
Libconf::Test::test(2);

Libconf::Test::display(-1);
